<div fxLayout="row wrap">
  <div fxFlex="100">
    <mat-card>
      <mat-card-content>
        <mat-card-title class="title"> {{ 'cardName' | translate }} </mat-card-title>
        <div class="table-responsive">
          <div fxLayout="row">
            <div class="user-buttons" fxLayoutGap="15px">
              <button
                mat-raised-button
                (click)="openAddDialog()"
                color="primary"
                *ngIf="hasPermission(addUsersPermission)"
              >
                <mat-icon>person_add</mat-icon>
                {{ 'addButton' | translate }}
              </button>
              <button
                mat-raised-button
                color="primary"
                (click)="openImportDialog()"
                *ngIf="hasPermission(importUsersilePermission)"
              >
                <mat-icon>cloud_download</mat-icon>
                {{ 'importButton' | translate }}
              </button>
              <button
                mat-raised-button
                color="primary"
                [routerLink]="['/user/trail']"
                *ngIf="hasPermission(trailUsersPermission)"
              >
                <mat-icon>history</mat-icon>
                {{ 'historyButton' | translate }}
              </button>
            </div>
            <div class="ml-auto">
              <mat-form-field appearance="outline" class="search-button">
                <input
                  class="input-size"
                  matInput
                  placeholder="{{ 'searchUserPlaceholder' | translate }}"
                  (keyup)="applyFilter($event.target.value)"
                  #searchInput
                />
                <mat-icon class="icon-size" matSuffix>search</mat-icon>
              </mat-form-field>
            </div>
          </div>
          <table
            mat-table
            [dataSource]="dataSource"
            class="table employee-list no-wrap"
          >
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef>
                {{ nameColumn }}
              </th>
              <td mat-cell *matCellDef="let element">
                <div class="d-flex">
                  <img class="mat-card-avatar" [src]="element.image" />
                  <div class="m-l-15">
                    <p
                      class="font-medium m-b-0 m-t-0"
                      style="text-transform: capitalize"
                    >
                      {{ element.firstName }} {{ element.lastName }}
                    </p>
                    <small class="text-muted"
                      >{{ element.department }} - {{ element.position }}</small
                    >
                  </div>
                </div>
              </td>
            </ng-container>

            <ng-container matColumnDef="email">
              <th mat-header-cell *matHeaderCellDef>
                {{ emailColumn }}
              </th>
              <td mat-cell *matCellDef="let element">{{ element.email }}</td>
            </ng-container>

            <ng-container matColumnDef="phoneNumber">
              <th mat-header-cell *matHeaderCellDef>{{ 'phoneNumberColumn' | translate}}</th>
              <td mat-cell *matCellDef="let element">
                {{ element.phoneNumber }}
              </td>
            </ng-container>
            <ng-container matColumnDef="roleId">
              <th mat-header-cell *matHeaderCellDef>{{ 'roleColumn' | translate}}</th>
              <td mat-cell *matCellDef="let element">
                <span *ngIf="element.role">
                  {{ element.role.name }}
                </span>
              </td>
            </ng-container>
            <ng-container matColumnDef="action">
              <th mat-header-cell *matHeaderCellDef> 
                <span  *ngIf="hasPermission(editUsersPermission) || (hasPermission(desactivateUsersPermission) && hasPermission(restoreUsersPermission))">Action(s)</span></th>
              <td mat-cell *matCellDef="let element" class="action-link">
                <a
                  mat-icon-button
                  (click)="openProfileDialog(element)"
                  *ngIf="hasPermission(getUserPermission)"
                  [disabled]="!element.deletedAt"
                  matTooltip="{{ matTooltipProfil }}"
                  ><mat-icon>remove_red_eye</mat-icon></a
                >
                <a
                  [disabled]="!element.deletedAt"
                  mat-icon-button
                  (click)="openEditDialog(element)"
                  *ngIf="hasPermission(editUsersPermission)"
                  ><mat-icon>edit</mat-icon></a
                >
                <mat-slide-toggle
                  class="example-margin"
                  *ngIf="hasPermission(desactivateUsersPermission) && hasPermission(restoreUsersPermission) && element.role.name!=role"
                  [color]="color"
                  [checked]="element.deletedAt"
                  (click)="deleteUser(element)"
                ></mat-slide-toggle>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr class="mat-row" *matNoDataRow>
              <td class="mat-cell" [attr.colspan]="displayedColumns.length">
                {{ noDataFound }}
              </td>
            </tr>
            <tr
              mat-row
              *matRowDef="let row; columns: displayedColumns"
              [ngClass]="{ 'gray-background': !row.deletedAt }"
            ></tr>
          </table>
          <mat-paginator
            [pageSizeOptions]="[5, 10, 25, 50, 100]"
            showFirstLastButtons
          ></mat-paginator>
        </div>
      </mat-card-content>
    </mat-card>
  </div>
</div>
